package com.elephant.framework.galaxy.aroad.module.zhjc.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.elephant.framework.galaxy.aroad.module.zhjc.entity.*;

import java.util.List;

/**
 * 智慧决策_规划计划
 *
 * @author wangjian
 * @date 2019-05-29 10:45:50
 */
public interface ZhjcGhjhService extends IService<ZhjcGhjh> {

    /**
     * 根据项目编码查询项目数据
     */
    List<ZhjcGhjh> getZhjcGhjhByXmbm(String xmbm);

    /**
     * 获取项目跟踪页面数据
     */
    IPage<ZhjcGhjh> getGhjhXmgz(Page page, String tbdwdm, String xmlxdm, String jsxzdm, String xmjd);

    /**
     * 获取项目跟踪页面坐标数据
     */
    List<ZhjcGhjh> getGhjhXmgzShape(String tbdwdm, String xmlxdm, String jsxzdm, String xmjd);

    /**
     * 根据统计年份查询规划计划统计分析页面数据
     * @param year
     * @return
     */
    ZhjcGhjhTjfx getZhjcGhjhTjfxDataByYear(String year);

    /**
     * 修改规划计划
     * @return
     */
    Boolean updateZhjcGhjh(ZhjcGhjh zhjcGhjh);

    /**
     * 新增规划计划
     */
    Boolean addZhjcGhjh(ZhjcGhjh zhjcGhjh);

    /**
     * 删除规划计划
     */
    Boolean deleteZhjcGhjh(ZhjcGhjh zhjcGhjh);
}